import request from '@/utils/request'

// 查询社会保险费欠缴信息列表
export function listInfo(query) {
  return request({
    url: '/crmSocialInsuranceArrearsInfo/findByPage',
    method: 'get',
    params: query
  })
}

// 查询社会保险费欠缴信息详细
export function getInfo(id) {
  return request({
    url: '/crmSocialInsuranceArrearsInfo/info/' + id,
    method: 'get'
  })
}

// 新增社会保险费欠缴信息
export function addInfo(data) {
  return request({
    url: '/crmSocialInsuranceArrearsInfo/info',
    method: 'post',
    data: data
  })
}

// 修改社会保险费欠缴信息
export function updateInfo(data) {
  return request({
    url: '/crmSocialInsuranceArrearsInfo/info',
    method: 'put',
    data: data
  })
}

// 删除社会保险费欠缴信息
export function delInfo(id) {
  return request({
    url: '/crmSocialInsuranceArrearsInfo/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
  console.log(ids);
  return request.post('/crmSocialInsuranceArrearsInfo/delete',ids)
}

